Subject: BNF inconsistency in Language tag in RFC2616

From: Jim Gettys <[email-masked]>
Date: Tue, 16 Sep 2003 11:05:01 -0400 (EDT)

In the process of preparing a draft of the spec for full standard,
(yes,  Petunia, we should get this puppy to full standard someday,
hopefully soon) and checking updated references,
I uncovered the following inconsistency:

RFC 1766, which is referenced by RFC 2616 section 3.10 as the source
for its definition of language tags has a BNF has been updated
by RFC3066 (a BCP).

RFC 3066 defines these as:

    Language-Tag = Primary-subtag *( "-" Subtag )
    Primary-subtag = 1*8ALPHA
    Subtag = 1*8(ALPHA / DIGIT)

HTTP/1.1 RFC 2616 defines these as:
        language-tag  = primary-tag *( "-" subtag )
        primary-tag   = 1*8ALPHA
        subtag        = 1*8ALPHA

Is there any danger in relaxing the HTTP BNF to remove the
inconsistency (the hob-goblin of small minds :-))?
                               - Jim

-- 
Jim Gettys <[email-masked]>
HP Labs, Cambridge Research Laboratory

---

From: Scott Lawrence <[email-masked]>
Date: Tue, 16 Sep 2003 13:20:24 -0400 (EDT)

> inconsistency (the hob-goblin of small minds :-))?

I think that would be safe - I doubt anyone is depending on there not
being digits in there, and even if they are, the fallback rules should
make them match on the less-specific primary tag.

-- 
Scott Lawrence        
  http://skrb.org/scott/

---

From: "Roy T. Fielding" <[email-masked]>
Date: Tue, 16 Sep 2003 14:54:41 -0700

> inconsistency (the hob-goblin of small minds :-))?

No danger -- it may even be possible to replace them with a reference to
the new RFC if it is now a BCP.

....Roy